Subject: MIXER Impact on CMS-X400

From: "Bonatti, Chris" <[email-masked]>
Date: Thu, 27 Dec 2001 00:14:18 -0500

As Russ reported at the meeting in Salt Lake, the IESG has expressed some concern that we address the relationship (or lack thereof) between the CMS-X400 specs and the MIXER standards.  The MIXER document (RFC 2156) and the BODYMAP document (RFC 2157) specify how to perform gateway translations between SMTP/MIME and X.400 envelope and P22 content.  The IESG's concern seemed to arise from the fact that the X400WRAP and X400TRANSPORT drafts dealt with mixtures of X.400 and MIME objects, but did not give any consideration to the only other RFCs that did so.  This seems to be a reasonable concern.

   Fortunately, the possible interaction between our drafts and the MIXER standards is very limited.  Obviously, in the case where you're dealing in signed or encrypted content, the application of gateway translations cannot affect the content without first removing the CMS wrappers.  In the case of the X400WRAP draft, any translation is simply out of scope.  In the case of the X400TRANSPORT draft, gateway translation of the envelope only is fully possible without interfering with the security services.  However, the translations (and MIXER) remain orthoganal to our work.

   In this light, I have been considering some additional text to make this situation clearer in both documents.  As a result, I propose the following amendments to the document draft-ietf-smime-x400transport-04:

- Append a new 2nd para to "1. Introduction"

	This document describes a mechanism for using CMS objects in 
	an otherwise native X.400 environment.  It describes an 
	environment that deliberately uses a mix of technologies, but 
	does not describe any gateway operations, per se.  It is 
	possible to combine the provisions of this document with 
	gateway operations, such as specified in [MIXER].  However,
	translation must be limited to the envelope fields only since
	modification of the CMS-protected content would invalidate 
	S/MIME security services.

- Add to the "A. References" section:

	[MIXER] Kille, S., Editor, "MIXER (Mime Internet X.400 Enhanced
	Relay): Mapping between X.400 and RFC 822/MIME", RFC 2156, 
	January 1998.

Also, I would propose the following amendments to the document draft-ietf-smime-x400wrap-04:

- Append a new 5th para to "1.1 Specification Overview"

	This document describes use of security services for X.400 content 
	that will not interact well with gateway services, such as described 
	in [MIXER].  Translations limited to envelope processing may be 
	viable in the context of this document.  Body translations, such 
	as described in [BODYMAP], cannot be performed without removing 
	S/MIME security services.  Translation after removal of the CMS 
	security measures described herein is beyond the scope of this 
	document.

- Add to the "A. References" section:

	[MIXER] Kille, S., Editor, "MIXER (Mime Internet X.400 Enhanced
	Relay): Mapping between X.400 and RFC 822/MIME", RFC 2156, 
	January 1998.

	[BODYMAP]	Alvestrand, H., Editor, "Mapping between X.400 and 
	RFC-822/MIME Message Bodies", RFC 2157, January 1998.

   I look forward to any feedback on this approach, or on my specific proposed text.  

Best holiday wishes to all,
Chris B.